ReferenceService accounts
Create a key (team owners and admins, browser session only); the secret is shown once
POST
409 too_many_keys (at most 2 active keys, for rotation). 409 disabled for a turned-off account.
team*stringTeam slug or ID
serviceAccountId*stringFormat
uuidapplication/json- body
name*stringLength
1 <= length <= 100expiresInDays?integerFormat
int32Range
1 <= value <= 365Default
90Created
application/json- response
data*curl -X POST 'https://agents.example.com/v1/teams/string/service-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/keys' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'{ "data": { "key": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "prefix": "string", "status": "active", "createdAt": "2019-08-24T14:15:22Z", "createdByName": "string", "expiresAt": "2019-08-24T14:15:22Z", "lastUsedAt": "2019-08-24T14:15:22Z", "revokedAt": "2019-08-24T14:15:22Z" }, "secret": "string" }}